%define pkgver %(echo %version | tr _ -)
Name:          krusader
Version:       2.6.0
Release:       1mamba
Summary:       An advanced twin panel (commander style) file manager for KDE
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://krusader.sourceforge.net/
Source:        http://download.kde.org/stable/krusader/%{version}/krusader-%{version}.tar.xz
#Source:        http://downloads.sourceforge.net/project/krusader/krusader/%{pkgver}/krusader-%{pkgver}.tar.bz2
Patch0:        %{name}-2.0.0-gcc44.patch
Patch1:        %{name}-2.0.0-gcc45.patch
License:       GPL
BuildRequires: gettext-devel
BuildRequires: libxml2-utils
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      kget
Requires:      kompare
Requires:      xxdiff
Requires:      krename
Requires:      md5deep
Requires:      lzma
Requires:      /usr/bin/md5sum
Requires:      /usr/bin/cfv
Requires:      /bin/tar
Requires:      /bin/gzip
Requires:      /usr/bin/bzip2
Requires:      /usr/bin/zip
Requires:      /usr/bin/unzip
Requires:      /usr/bin/arj
Requires:      /usr/bin/unrar
Requires:      /bin/cpio
Requires:      /usr/bin/rpm
Requires:      /usr/bin/7z
Requires:      /usr/bin/locate
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Krusader is an advanced twin panel (commander style) file manager for KDE and other desktops in the *nix world, similar to Midnight or Total Commander.
It provides all the file management features you could possibly want:
* extensive archive handling
* mounted filesystem support
* FTP
* advanced search module
* viewer/editor
* directory synchronisation
* file content comparisons
* powerful batch renaming
and much much more.

It supports the following archive formats: tar, zip, bzip2, gzip, rar, ace, arj and rpm and can handle other KIOSlaves such as smb or fish.

%prep
%setup -q -n %{name}-%{pkgver}
#%patch0 -p1
#%patch1 -p1

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/krusader
%{_libdir}/qt5/plugins/kio_*.so
%{_datadir}/metainfo/org.kde.krusader.appdata.xml
%{_datadir}/applications/org.kde.krusader*.desktop
%dir %{_datadir}/kxmlgui5/krusader
%{_datadir}/kxmlgui5/krusader/*
%{_kde5_datadir}/krusader
%{_kde5_configdir}/kio_isorc
%doc %lang(en) %{_kde5_htmldir}/*/krusader
%{_kde5_icondir}/hicolor/*/*/*.png
%{_kde5_servicesdir}/*.protocol
%{_mandir}/man1/krusader.1*
%lang(de) %{_mandir}/de/man1/krusader.1*
%lang(nl) %{_mandir}/nl/man1/krusader.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/krusader.1*
%lang(sv) %{_mandir}/sv/man1/krusader.1*
%lang(uk) %{_mandir}/uk/man1/krusader.1*
%doc AUTHORS COPYING
#ChangeLog README TODO

%changelog
* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Sat Dec 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-1mamba
- update to 2.5.0

* Fri Sep 06 2013 Automatic Build System <autodist@mambasoft.it> 2.4.0_beta3-1mamba
- update to 2.4.0_beta3

* Fri Dec 31 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-4mamba
- require /usr/bin/rpm instead of /bin/rpm
- added gcc 4.5 build patch

* Fri May 29 2009 Automatic Build System <autodist@mambasoft.it> 2.0.0-3mamba
- automatic rebuild by autodist

* Mon Apr 20 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.0.0-2mamba
- remove unused macro %%kdedir
- remove build requirements for kde3 packages
- update the list of build requirements and static requirements

* Wed Apr 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- automatic update to 2.0.0 by autodist

* Mon May 05 2008 Aleph0 <aleph0@openmamba.org> 1.90-1mamba
- update to 1.90

* Sun Jul 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.80.0-1mamba
- update to 1.80.0

* Thu Sep 14 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.70.1-1qilnx
- update to version 1.70.1 by autospec
- also fixes a security issue (bugtraq#203)
- added a requirement for md5deep

* Tue Feb 14 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.70.0-1qilnx
- update to version 1.70.0 by autospec
- added some requirements for the exernal utilities used by krusader

* Sun Nov 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.50-1qilnx
- package created by autospec
